import { Component, Input, OnInit } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

@Component({
  selector: 'app-add-edit-master',
  templateUrl: './add-edit-master.component.html',
  styleUrls: ['./add-edit-master.component.css']
})
export class AddEditMasterComponent implements OnInit{
  @Input() headerId: number;
  @Input() dataRow: any;
  @Input() mode: any;
  myForm: FormGroup;

  constructor(public activeModal: NgbActiveModal, private fb: FormBuilder) {}

  ngOnInit() {
    this.createForm();
    console.log(this.dataRow);
    console.log(this.headerId);
    console.log(this.mode);
    if (this.dataRow) {
      this.editForm();
    }
  }

  createForm() {
    this.myForm = this.fb.group({
      name: ['', Validators.required],
      status: ['', Validators.required],
      headerId: this.headerId
    });
  }

  editForm(){
    this.myForm = this.fb.group({
      id: this.dataRow.id,
      name: this.dataRow.name,
      status: this.dataRow.status,
      headerId: this.dataRow.headerId
    });
  }

  addRow() {
    if (this.myForm.valid) {
      this.activeModal.close(this.myForm.value);
    }
  }

  addDepartment() {
    let newDept = prompt("Enter new department name:");
    if (newDept) {
      alert(`Department ${newDept} added! (simulated)`);
    }
  }
}
